RENAME(1)

NUME
rename - redenumește fișiere

REZUMAT

rename [opțiuni] expresia înlocuirea fișier...

DESCRIERE

rename va redenumi fișierele specificate prin înlocuirea primei apariții a expresiei în numele lor cu înlocuirea.

OPȚIUNI

-s, --symlink
    Nu redenumește o legătură simbolică, ci schimbă locul către care aceasta indică.

-v, --verbose
    Afișează ce fișiere au fost redenumite, dacă este cazul.

-n, --no-act
    Nu face nicio modificare; adăugați --verbose pentru a vedea ce se va face.

-a, --all
    Înlocuiește toate aparițiile expresiei expresia și nu doar prima.

-l, --last
    Înlocuiește ultima apariție a expresiei în loc de prima.

-o, --no-overwrite
    Nu se suprascriu fișierele existente. Atunci când --symlink este activă, nu se suprascriu legăturile simbolice care indică obiective existente.

-i, --interactive
    Ask before overwriting existing files.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

AVERTISMENT

Redenumirea nu are nicio protecție în mod implicit sau fără una dintre opțiunile --no-overwrite, --interactive sau --no-act. Dacă utilizatorul are permisiunea de a rescrie numele fișierelor, comanda va efectua acțiunea fără nicio întrebare. De exemplu, rezultatul poate fi destul de drastic atunci când comanda este rulată ca root în directorul /lib. Faceți întotdeauna o copie de rezervă înainte de a executa comanda, cu excepția cazului în care știți cu adevărat ce faceți.

CAZURI LIMITĂ

Dacă expresia este goală, atunci, în mod implicit, înlocuirea va fi adăugată la începutul numelui de fișier. Cu --all, înlocuirea va fi inserată între fiecare două caractere ale numelui de fișier, precum și la început și la sfârșit.

În mod normal, se actualizează numai componenta finală a rutei unui nume de fișier. (Sau cu --symlink, doar componenta finală a rutei din legătură.) Dar dacă expresia sau înlocuirea conține un /, se actualizează întreaga rută. Acest lucru poate determina mutarea unui fișier între dosare. Crearea de dosare și mutarea fișierelor între sisteme de fișiere nu este acceptată.

MODUL INTERACTIV

La fel ca majoritatea utilităților standard, «rename» poate fi utilizat cu un dispozitiv terminal (pe scurt, tty) în modul canonic, în care linia este pusă în memoria tampon de către tty și se apasă ENTER pentru a valida introducerea utilizatorului. Totuși, dacă puneți tty-ul în modul cbreak, «rename» necesită doar o singură apăsare de tastă pentru a răspunde la prompt. Pentru a stabili modul cbreak, rulați de exemplu:

    sh -c 'stty -icanon min 1; "$0" "$@"; stty icanon' rename -i redenumește interactiv fișierele „de la” -> „la”

STARE DE IEȘIRE

0
    toate operațiile de redenumire solicitate au avut succes

1
    toate operațiile de redenumire au eșuat

2
    unele operații de redenumire au eșuat

4
    nimic nu a fost redenumit

64
    a apărut o eroare neașteptată

EXEMPLE

Date fiind fișierele foo1, ..., foo9, foo10, ..., foo278, comenzile

    rename foo foo00 foo?
    rename foo foo0 foo??

le vor transforma în foo001, ..., foo009, foo010, ..., foo278. Și

    redenumirea .htm .html *.htm

va repara extensia fișierelor html. Furnizați un șir gol pentru prescurtare:

    rename '_with_long_name' '' file_with_long_name.*

va elimina subșirul din numele fișierelor.

CONSULTAȚI ȘI

mv(1)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda rename face parte din pachetul util-linux care poate fi descărcat de la